network-manager-vpnc-gnome_1.2.6-2_amd64.deb


Advertisement

Description

network-manager-vpnc-gnome - network management framework (VPNC plugin GNOME GUI)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename network-manager-vpnc-gnome_1.2.6-2_amd64.deb
Package name network-manager-vpnc-gnome
Package version 1.2.6
Package release 2
Package architecture amd64
Package type deb
Category universe/net
Homepage https://www.gnome.org/projects/NetworkManager/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 22.95 KB
Installed size 131.00 KB
NetworkManager is a system network service that manages your network devices
and connections, attempting to keep active network connectivity when
available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
devices, and provides VPN integration with a variety of different VPN
services.
This package provides the GNOME bits of NetworkManager's VPNC plugin.

Alternatives

Package Version Architecture Repository
network-manager-vpnc-gnome_1.2.6-2_i386.deb 1.2.6 i386 Ubuntu Universe
network-manager-vpnc-gnome - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.37.3
libgtk-3-0 >= 3.0.0
libnm0 >= 1.1.90
libnma0 >= 1.1.90
libsecret-1-0 >= 0.18
network-manager-vpnc = 1.2.6-2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package network-manager-vpnc-gnome_1.2.6-2_amd64.deb
Source Package network-manager-vpnc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install network-manager-vpnc-gnome deb package:
    # sudo apt-get install network-manager-vpnc-gnome

Files

Path
/usr/lib/NetworkManager/nm-vpnc-auth-dialog
/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-vpn-plugin-vpnc-editor.so
/usr/share/appdata/network-manager-vpnc.metainfo.xml
/usr/share/doc/network-manager-vpnc-gnome/changelog.Debian.gz
/usr/share/doc/network-manager-vpnc-gnome/copyright
/usr/share/gnome-vpn-properties/vpnc/nm-vpnc-dialog.ui

Changelog

2018-11-27 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.6-2) unstable; urgency=medium
* Move D-Bus policy file to /usr/share/dbus-1/system.d/
* Remove obsolete conffile /etc/dbus-1/system.d/nm-vpnc-service.conf on
upgrades
* Bump Standards-Version to 4.2.1
2018-07-24 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.6-1) unstable; urgency=medium
* New upstream version 1.2.6
- service: disallow newlines in configuration values (CVE-2018-10900)
(Closes: #904255)
* Bump Standards-Version to 4.1.5
* Drop no-longer needed Breaks/Replaces
2018-04-08 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-7) unstable; urgency=medium
* Set Rules-Requires-Root to no
* Update Vcs-* to point to https://salsa.debian.org
2018-01-21 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-6) unstable; urgency=medium
* Upload to unstable
* Switch to dh_missing and abort on uninstalled files
* Bump debhelper compat level to 11
* Bump Standards-Version to 4.1.3
2017-05-12 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-5) experimental; urgency=medium
* Switch URLs to https
* Drop obsolete Build-Depends on libdbus-glib-1-dev.
It is no longer required after the port to GDBus.
* Stop building with libnm-glib compat support
* Remove obsolete nm-vpnc-service.name conffile on upgrades
* Use architecture.mk provided by dpkg-dev to retrieve DEB_HOST_MULTIARCH
* Use --as-needed to avoid unnecessary shlibs dependencies
2017-01-25 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-4) unstable; urgency=medium
* Update Vcs-* according to the latest recommendation
* Install AppData file
* Move libnm-vpn-plugin-vpnc.so and translations into main package.
This plugin is used by nmcli and doesn't have any GTK dependencies.
2016-10-05 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-3) unstable; urgency=medium
* Brown paper bag release: Actually run tests with --no-parallel.
(Closes: #839849)
2016-10-05 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-2) unstable; urgency=medium
* Don't run the tests in parallel for now until bgo#772471 is fixed.
(Closes: #839849)
2016-10-04 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.4-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compat level to 10.
* Bump Build-Depends on libsecret-dev to (>= 0.18) as per configure.ac.
2016-05-11 - Michael Biebl <biebl@debian.org>
network-manager-vpnc (1.2.2-1) unstable; urgency=medium
* New upstream release.
* Bump network-manager related build dependencies to >= 1.2.0.
* Add Depends on network-manager (>= 1.2.0) to network-manager-vpnc. This
ensures we have a version that can handle plugin paths which are not
absolute. (Closes: #824051)
* Bump Standards-Version to 3.9.8.

See Also

Package Description
network-manager-vpnc_1.2.6-2_amd64.deb network management framework (VPNC plugin core)
networking-bagpipe-common_10.0.0-0ubuntu1_all.deb Driver and agent code to use BagPipe implementation (common)
networking-bgpvpn-common_10.0.0-0ubuntu1_all.deb BGP-MPLS VPN Extension for OpenStack Networking (common)
networking-l2gw-common_14.0.0-0ubuntu1_all.deb OpenStack virtual network service - L2 gateway agent
networking-mlnx-common_13.1.0-2_all.deb OpenStack virtual network service - Mellanox plugin common files
networking-mlnx-eswitchd_13.1.0-2_all.deb Neutron is a virtual network service for Openstack - Mellanox eswitchd
networking-odl-common_14.0.0-0ubuntu1_all.deb OpenStack Networking OpenDayLight ML2 mechanism driver
networking-ovn-common_6.0.0-0ubuntu1_all.deb OpenStack virtual network service - OVN driver
networking-sfc-common_8.0.0-0ubuntu1_all.deb OpenStack virtual network service - SFC extension
netwox-doc_5.39.0-1.3_all.deb documentation for netwox toolbox
netwox_5.39.0-1.3_amd64.deb networking utilities
neurodebian-archive-keyring_0.38.3_all.deb neuroscience-oriented distribution - GnuPG archive keys
neurodebian-desktop_0.38.3_all.deb neuroscience-oriented distribution - desktop integration
neurodebian-dev_0.38.3_all.deb neuroscience-oriented distribution - development tools
neurodebian-freeze_0.38.3_all.deb nd_freeze tool to freeze APT sources to use snapshots
Advertisement
Advertisement